
// Fonts
@import url('https://fonts.googleapis.com/css2?family=Montserrat:wght@400;600;700&display=swap');

// Variables
@import 'variables';

// Bootstrap
@import '~bootstrap/scss/bootstrap';

// FontAwesome
@import '~@fortawesome/fontawesome-free/scss/fontawesome.scss';
@import '~@fortawesome/fontawesome-free/scss/regular.scss';
@import '~@fortawesome/fontawesome-free/scss/solid.scss';
@import '~@fortawesome/fontawesome-free/scss/brands.scss';

// Background
.bg-purple-light {
    background: #f6eeff;
}

.bg-purple {
    background: $purple;
}

.bg-blue-light {
    background: #f2fbff;
}

.bg-gray-300 {
    background: $gray-300;
}

.bg-robot {
    //@error: url('images/robot.png');
    background-repeat: no-repeat;
    background-position: left;
    background-size: contain;

    min-height: 500px;
}

// Text
.text-primary {
    color: $purple !important;
}

.text-orange {
    color: $orange;
}

.text-sm {
    font-size: .8rem;
}

.text-md {
    font-size: 1rem;
}

.text-md {
    font-size: 1.2rem;
}

.text-lg {
    font-size: 1.5rem;
}

// Link
a {
    color: $purple;

    &:hover,
    &:focus,
    &:active {
        color: darken($color: $purple, $amount: 5);
        text-decoration: none;
    }
}

.scroll-top {
    width: 70px;
    height: 70px;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 5px 10px;
    border-radius: 50px;
    background: $orange;
    color: $white;
    position: fixed;
    bottom: 4rem;
    right: 5rem;
    color: $white;

    &:active,
    &:focus,
    &:hover {
        color: $white;
    }
}

// Image
.img-fluid {
    width: 100%;
    height: 100%;
}

// Button
@mixin button($colorbtn) {
    background-color: $colorbtn;
    border-color: darken($color: $colorbtn, $amount: 2) !important;
    color: var(--white) !important;
}

.btn-primary,
.btn-outline-primary {
    border-radius: 50rem !important;
    padding: .8rem 1.2rem !important;
}


.btn-primary {
    @include button($purple);

    &:hover,
    &:focus {
        background-color: darken($color: $purple, $amount: 5);
        border-color: darken($color: $purple, $amount: 5) !important;
    }

    &:disabled {
        color: $gray-700 !important;
        background-color: $gray-400;
        border-color: $gray-400 !important;
    }
}

.btn-outline-primary {
    color: $purple !important;
    border: 1px solid $purple !important;
    background-color: $white;

    &:hover,
    &:active,
    &:focus {
        color: $purple;
        background-color: $white;
    }
}

// Navbar

.navbar-menu {
  background-color: darken($color: $purple, $amount: 5);
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.04);

  .navbar-brand {
      img {
          max-width: 209px;
      }
  }

  .navbar-nav {

    .nav-item {
        position: relative;

        .nav-link {
            color: $white;
            position: relative;
            padding-left: 0 !important;
            padding-right: 0 !important;
        }

        &.active {
            .nav-link {
                &::before {
                    content: '';
                    position: absolute;
                    background: $white;
                    left: 0;
                    bottom: 0;
                    width: 100%;
                    height: 3px;

                    @media (max-width: 767px) {
                        display: none;
                    }
                }
            }
        }

        .dropdown-menu {
            top: 190%;
            left: -50%;
            border: 0;
            min-width: 220px;
            box-shadow: 0 10px 10px rgba(0, 0, 0, .2);

            .dropdown-item {
                white-space: normal;
                color: $gray-600;
            }

            &::after {
                content: "";
                width: 0;
                height: 0;
                border-left: 8px solid transparent;
                border-right: 8px solid transparent;
                border-bottom: 10px solid #fff;
                position: absolute;
                top: -10px;
                left: 50%;
                transform: translateX(-10px);

                @media (max-width: 767px) {
                    display: none;
                }
            }
        }
    }

  }

  #navbarDropdown {
      background: $gray-100;
      padding-left: 1rem !important;
      padding-right: 1rem !important;
      color: $purple;

      &::after {
          display: none;
      }

      &:hover {
          color: $purple;
          background: $gray-200;
      }
  }
}

section {
    padding: 3rem 0;
}

// Carousel

.carousel {
    .carousel-item {
        background: $gray-200;
        padding: 2rem 1rem;

        .carousel-caption {
            color: $body-color;
        }
    }
}

// Maps

.jqvmap-circle {
    font-size: .5rem;
}

// Post Thumbnail

.post-thumbnail {
    margin-bottom: 3rem;

    .post-title a {
        color: $gray;

        &:focus,
        &:hover {
            color: $purple;
        }
    }

    img {
        height: 100%;
        max-height: 300px;
        object-fit: cover;
        object-position: top;
    }
}

article {

    .article-title,
    .article-content {
        padding: 3rem 6rem;
    }

    .article-banner {
        height: 450px;

        img {
            height: 100%;
            object-fit: cover;
            object-position: top;
        }
    }
}

.post-gallery {
    a {
        color: $gray;
    }

    img {
        height: 300px;
        max-height: 300px;
        object-fit: cover;
        object-position: top;
    }
}

// Figured

.list-figured {
    .figured-item {
        position: relative;
        margin-bottom: 5rem;

        .figured-image {
            max-width: 55%;

            img {
                max-height:500px;
                object-fit: cover;
                object-position: top;
            }
        }

        .figured-desc {
            width: 100%;
            max-width: 50%;
            background: $white;
            padding: 2rem;
            position: relative;
        }

        &.figured-left {
            .figured-desc {
                position: absolute;
                right: 0;
                bottom: 0;
            }
        }

        &.figured-right {
            .figured-image {
                margin-left: auto;
            }

            .figured-desc {
                position: absolute;
                left: 0;
                bottom: 0;
            }
        }

        @media screen and (max-width: 991px) {
            margin-bottom: 3rem;

            &.figured-right {
                padding-top: 0;
            }

            .figured-image,
            .figured-desc {
                position: relative !important;
                max-width: 100%;
                padding-left: 0;
                padding-right: 0;
            }
        }
    }
}

// Breadcrumb

.breadcrumb {
    right: 0;

    .breadcrumb-item::before {
        color: $white;
    }
}

@media screen and (min-width: 768px) {
    .position-md-absolute {
        position: absolute;
    }
}

@media screen and (max-width: 767px) {
    .position-md-absolute {
        position: static;
    }
}

// Share Menu
.share-menu {
    .share-btn {
        width: 32px;
        height: 32px;
        border-radius: 50px;
        color: $white;
        display: inline-flex;
        justify-content: center;
        align-items: center;

        &:hover {
            text-decoration: none;
        }

        &.wa {
            background-color: $purple !important;
        }
        &.fb {
            background-color: $blue !important;
        }
        &.tw {
            background-color: $cyan !important;
        }
        &.sh {
            background-color: $purple !important;
        }
    }
}

// Timeline
.timeline-item {
    display: flex;
    padding-bottom: 5rem;
    position: relative;

    &::before {
        content: "";
        position: absolute;
        display: block;
        width: 78px;
        height: 100%;
        left: 0;
        border-right: 5px solid $gray-200;
    }

    &:last-child {
        &::before {
            display: none;
        }
    }

    .timeline-date {
        display: flex;
        align-items: center;
        justify-content: center;
        flex: 0 0 150px;
        height: 150px;
        padding-top: 2.5rem;
        //@extend: url('images/icn-calendar.png');
        background-size: contain;
        background-position: top center;
        background-repeat: no-repeat;
        position: relative;
        z-index: 10;

        h3 {
            font-size: 2.5rem;
            line-height: .75;
        }
    }

    .timeline-content {
        flex: 1;
        padding-left: 2rem;
    }
}

// FAQ

.accordion {

    .card {
        border: 0 !important;

        .card-header {
            background: $white;
            border-bottom: 1px solid $gray-100;
            padding-top: 0;
            padding-bottom: 0;

            button,
            button:focus,
            button:active,
            button:hover {
                color: $purple;
                padding-top: 0.75rem !important;
                padding-bottom: 0.75rem !important;
                border-bottom: 1px solid $gray-200;
                outline: none;
                box-shadow: none;
            }

            [data-toggle="collapse"] .fa:before {
                content: "\f077";
            }

            [data-toggle="collapse"].collapsed .fa:before {
                content: "\f078";
            }

            &.active {
                background-color: $gray-100;
            }
        }
    }

    .collapse.show {
        .card-body {
            background: $gray-100;
        }
    }
}

.modal {
    .modal-header {
        padding-bottom: 0;
        border-bottom: 0;
    }

    .modal-body {
        padding-top: .5rem;
    }

    .modal-content {
        border-radius: .5rem;
    }
}

.input-code input,
.form-control-plaintext,
.form-control {
    &:focus {
        box-shadow: none;
        outline: none;
    }
}

.input-code input,
.form-control {
    transition: .3s all ease;

    &:active,
    &:focus {
        border-color: $orange;
    }
}

.input-code input {
    text-align: center;
    padding: .5rem;
    border-top: 0;
    border-left: 0;
    border-right: 0;
    border-width: 2px;
    border-color: $input-border-color;
}

.input-group {
    &.append {
        .form-control {
            border-right: 0;

            &:focus + div > button {
                border-color: orange;
            }
        }

        .btn-input-group {
            border: 1px solid #ced4da;
            border-left: 0;

            &:focus {
                box-shadow: none;
            }
        }
    }
}

i.icn {
    display: inline-block;
    width: 24px;
    height: 24px;
    background-size: contain !important;
    background-repeat: no-repeat !important;

    &.icn-male {
        background-image: url('../images/icons/icn-male.svg');

        &.active {
            background-image: url('../images/icons/icn-male-active.svg');
        }
    }

    &.icn-female {
        background-image: url('../images/icons/icn-female.svg');

        &.active {
            background-image: url('../images/icons/icn-female-active.svg');
        }
    }

    &.w-2x {
        width: 32px !important;
        height: 32px !important;
    }
}

.custom-control-input:checked ~ .custom-control-label::before {
    color: $white;
    background-color: $purple;
    border-color: $purple;
}

.custom-control-input:checked ~ label {
    color: $purple;

    .icn-male {
        background-image: url('../images/icons/icn-male-active.svg') !important;
    }

    .icn-female {
        background-image: url('../images/icons/icn-female-active.svg') !important;
    }
}

.custom-control-label {
    color: $gray-500;

    &.has-icn {
        &::after,
        &::before {
            top: 0.5rem;
        }
    }
}

.form-questioner {

    .form-group {
        margin-bottom: 0;

        &:nth-last-child(2) .left-group::after {
            display: none;
        }
    }

    .custom-control {
        min-height: 2rem;
        padding-left: 2rem;
        margin-bottom: 1rem;

        &:last-child {
            margin-bottom: 0;
        }
    }

    .custom-control-label {
        color: $purple;
        font-size: 1.2rem;

        &::before {
            left: -2rem;
            width: 1.5rem;
            height: 1.5rem;
        }

        &::after {
            top: 0rem;
            left: -2.25rem;
            display: block;
            width: 2rem;
            height: 2rem;
        }

        &:hover {
            cursor: pointer;
        }
    }

    .left-group {
        position: relative;
        text-align: center;

        &::after {
            content: "";
            background: $gray-200;
            display: block;
            position: absolute;
            width: 3px;
            height: 100%;
            top: 0;
            left: 50%;
        }

        .questioner-number {
            font-size: 1.5rem;
            position: relative;
            text-align: center;
            background: #fff;
            z-index: 10;
        }
    }

    .right-group {
        padding-bottom: 1rem;
    }
}

// Border Radius
.rounded-xl {
    border-radius: 1.5rem;
}

.list-menu {

    .list-menu-item {
        display: block;
        color: $gray-500;
        padding: .5rem;

        &:hover {
            color: $orange;
        }

        &.active {
            color: $gray-700;
            background-color: $gray-100;
        }
    }

    .list-menu-divider {
        display: block;
        width: 100%;
        height: 1px;
        background: $gray-200;
        margin: .5rem 0;
    }
}

.bg-ornamen {
    background-image: url("/images/ornamen-1.svg");
    background-repeat: no-repeat;
    background-position: 0px 20px;
}

// Pagination

.pagination {
    margin-bottom: 0;

    .page-item {

        .page-link {
            color: $orange;
        }

        &.active {

            .page-link {
                color: $white;
                background-color: $orange;
                border-color: $orange;
            }
        }
    }
}

.lds-default {
    display: inline-block;
    position: relative;
    width: 80px;
    height: 80px;
  }
  .lds-default div {
    position: absolute;
    width: 6px;
    height: 6px;
    background: $purple;
    border-radius: 50%;
    animation: lds-default 1.2s linear infinite;
  }
  .lds-default div:nth-child(1) {
    animation-delay: 0s;
    top: 37px;
    left: 66px;
  }
  .lds-default div:nth-child(2) {
    animation-delay: -0.1s;
    top: 22px;
    left: 62px;
  }
  .lds-default div:nth-child(3) {
    animation-delay: -0.2s;
    top: 11px;
    left: 52px;
  }
  .lds-default div:nth-child(4) {
    animation-delay: -0.3s;
    top: 7px;
    left: 37px;
  }
  .lds-default div:nth-child(5) {
    animation-delay: -0.4s;
    top: 11px;
    left: 22px;
  }
  .lds-default div:nth-child(6) {
    animation-delay: -0.5s;
    top: 22px;
    left: 11px;
  }
  .lds-default div:nth-child(7) {
    animation-delay: -0.6s;
    top: 37px;
    left: 7px;
  }
  .lds-default div:nth-child(8) {
    animation-delay: -0.7s;
    top: 52px;
    left: 11px;
  }
  .lds-default div:nth-child(9) {
    animation-delay: -0.8s;
    top: 62px;
    left: 22px;
  }
  .lds-default div:nth-child(10) {
    animation-delay: -0.9s;
    top: 66px;
    left: 37px;
  }
  .lds-default div:nth-child(11) {
    animation-delay: -1s;
    top: 62px;
    left: 52px;
  }
  .lds-default div:nth-child(12) {
    animation-delay: -1.1s;
    top: 52px;
    left: 62px;
  }
  @keyframes lds-default {
    0%, 20%, 80%, 100% {
      transform: scale(1);
    }
    50% {
      transform: scale(1.5);
    }
  }
